#!/bin/sh
export ENV_NAME="env"

echo "[+] Building slides"
. ./${ENV_NAME}/bin/activate

topdir="$(pwd)"
if [ -e output ] ; then
  rm -r output
fi;
mkdir  output
cp slides/index.html output
cd slides
find . -name "*.adoc" | while read slidedeck; do
  echo "Builing slides for ${slidedeck}"
  node "${topdir}/tools/asciidoctor-revealjs.js" "$slidedeck"
  newfile="$(echo $slidedeck | sed 's+./++' |sed 's/.adoc//g')"
  printf "<center><h1><a href='slides/${newfile}.html'>${newfile}</a></h1></center>\n" >> ../output/index.html 
done
printf "\n</body>\n</html>" >> ../output/index.html
cd ..
cp -r slides output
rm output/slides/index.html
find slides/ -name "*.html" | egrep -v "index.html" | xargs rm
